Subject: Re: [Doh] [DNSOP] New I-D: draft-reid-doh-operator
From: Brian Dickson <[email-masked]>
To: Stephen Farrell <[email-masked]>
Cc: Ted Hardie <[email-masked]>, DoH WG <[email-masked]>, Jared Mauch <[email-masked]>, dnsop <[email-masked]>, paul vixie <[email-masked]>, Michael Sinatra <[email-masked]>
Date: Tue, 19 Mar 2019 22:46:28 -0700
List-Id: DNS Over HTTPS <doh.ietf.org>

On Tue, Mar 19, 2019 at 8:36 PM Stephen Farrell <[email-masked]>
wrote:

>
>
> On 20/03/2019 03:17, Brian Dickson wrote:
>
> > - If a network operator has any policy that is enforceable, ONLY the
> > technical policy enforcement model scales.
>
> My mail was about my policy for my home network and explicitly said
> that I do not claim that policy ought be followed by all home networks,
> never mind other kinds of network. Your argument about scale is not
> therefore relevant. (At least, not unless you want to give up all
> argument along the lines of "consider the children.")
>

I am saying, that the work product envisioned by participants of the side
meeting,
needs to be some framework that scales, regardless of where it gets used.

It does not matter whether any policy does or does not require scalable
mechanisms.
What does matter is that there exist networks where the mechanisms need to
scale.

What is being envisioned and proposed, is a flexible-enough framework, that
scales.

If something scales, it scales. If it scales, it won't make it impossible
to do what you want, tautologically.

Let's try this using classical logic:

Suppose there is a rule: "A implies B".

The negation of that rule is: "Not B implies Not A".
The negation of that rule is NOT: "Not A implies Not B".

I believe your argument(s) falls into the "Not A implies Not B" category.
(I hope I'm mistaken there.)

However, I am also having a little trouble following your actual meaning.
More below on my challenge with following what you are saying...

>
> My policy, for my network, is as defensible as many others. And that
> isn't peculiar to home networks.
>
> > - In such an environment, there are only, ever, "willing users", because,
> > in order to use the network, they are required to agree to the policies.
>
> Wrong. In my home network, my children and their friends have
> no real choice to not use the network until they are relatively
> economically independent. (And in earlier days, they could not
> have given informed consent in any case, being too young.)
>

So, I am trying to understand.
Does their lack of real choice make them unwilling users?
Are you arguing that they should be able to bypass whatever rules you have
for your children?
Do you want your children to be able to undetectably use a third party DNS
resolver, such as DoH, and access naughty networks or malware?
Or do you want to block that particular use case?
I think their category as "unwilling" is mooted by their being minors and
not being able to give informed consent.

In any case, if you do want to give them (all of them or some of them)
access to such third party resolvers, should that not be something
explicitly under your control?
And should it not be easy to do (where I roughly equate "easy to do" with
"scalable", for argument purposes).

>
> In work environments what you say is also not completely correct,
> at least in some EU locales, where employees retain rights of
> various kinds whilst at work using an employer-provided n/w. We
> don't need to argue the rights and wrongs of that, it just is.
>

I think I am also having difficulty with the argument here.

What is the exact scenario (or set of scenarios) you are using in your
example?

Is it an employee located in an EU locale, using a work network?
And is the employee's network applying policies that violate the employees
rights?
If the answer to the second question is "yes", I believe there are many
recourses that do not involve any technology at all, such as civil suits or
whatever mechanisms an employee has under the laws of the EU or their local
jurisdiction.
I think that any proffered mechanism over and above that is largely
redundant, and/or generally within the means of a financially independent
adult to work around, e.g. using a personal device on a mobile network not
provided by the employer.

Or, is the employee's network not applying policies that violate the
employees rights, which I think makes the argument moot, since the
employee's rights are not actually being infringed.

So, yes, the employee has rights, and I don't have any issue with either
the existence of rights, or any opinion on whether that is right or wrong.
What I don't follow from that is, that any network operator using
technology to interfere with those rights, is able to do so with impunity,
and that there is a need to provide mechanisms to bypass that technology.
Is that really the case, currently, in specific jurisdictions? Can you
provide some kind of reference to that, that is verifiable, in the EU?

We all know about the issue with authoritarian regimes, and all that. I
think we can all agree that in those cases, the use of technological
methods to bypass restrictions requires individuals to violate the laws in
those places.
And I am in no way arguing against the technology involved.

I'm saying that outside of those specific jurisdictions/environments, there
is no explicit need for making the privacy technology operate in a strictly
unilateral mode, in such a way as to evade any sort of detection.
I'm saying that it is reasonable to expect that whatever
legally-permissible policies any network operator has, can be enforced
cooperatively between client (software/devices), network(s) (operator(s)),
and server (provider of whatever permitted degree of privacy-enhanced is
permitted by network operators' policies).

The extent of what I'm suggesting is, aside from the authoritarian regime
situation, networks whose policies are not violating local laws (including
whatever "rights" laws may apply), need to be able to implement those
policies in a scalable fashion, including detecting anomalous activity
easily (for e.g. malware detection), and that client software/devices
should be able to, at their discretion, negotiate the maximal privacy
setting desired, including reaching a privacy equivalent of "no networks
available" (don't connect at all).

> Once more: my policy for my network is defensible but is not
> one I claim ought be followed by everyone. And the same applies
> for all of the more intrusive policies being espoused here by
> those with concerns about DoH.

We (speaking for everyone else) are NOT espousing policies.
We are espousing mechanisms for policy enforcement.
There is a huge difference.
Our position on the enforcement is policy-agnostic.
It doesn't matter what the policies themselves are, the mechanisms need to
scale.
The policies themselves are, honestly, completely out of scope, other than
the mechanics.
If a particular policy is legal in any jurisdiction on this planet, and is
sufficiently well defined and sufficiently distinct from other policies,
the policy framework needs to accommodate it.
There aren't *that* many conceivable policies that apply to DNS in the
intersection spaces of transport protocol (DoH, DoT, TCP, UDP), third party
operators (yes/no), encryption (yes/no), and privacy (yes/no/MITM).

> That doesn't mean those concerns
> are vacuous or otherwise to be ignored, but does mean that
> claims as to such-and-such a policy being a necessity are not
> valid. Only one counter-example is needed to demonstrate that,
> and I've provided one (that is real, not invented).
>

If it is the EU one, please read above: I don't think it actually does what
you think it does, per se.
If it is the home network one, it isn't about policy, it is about
mechanisms, and your not needing your policy to scale, isn't germane.
If anyone needs the policy framework to scale, that needs to be taken into
consideration.
As long as there is anything close to consensus on the existence of a
non-trivial number of networks who require scalable solutions to this
problem, that should really be the end of it.

I don't understand anyone taking a position that anything doesn't need to
scale, and I think that is what you are saying (from your home network bit.)
Is that really your position?

Brian